\name{rcpp_backwardc}
\alias{rcpp_backwardc}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
    The backward recursion in the forward-backward Gibbs sampler sampling the state of each locus.
%%  ~~function to do ... ~~
}
\description{
    This function calculate the backward probability
    \eqn{\beta} which is the probability of 'seeing' the
    observations and underlying probabilities from time
    \eqn{t+1} to the ending T, given that we are in state
    \eqn{k} at time i (and given the parameters
    \eqn{\Theta}):
    \deqn{\beta_t(k)=P(o_{i+1},o_{i+2},\cdots,o_T,p_{i+1},p_{i+2},\cdots,p_{T}|q_i=k,\Theta)}
    
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
rcpp_backwardc(HMM,emp,L,starting,ending)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{HMM}{
      list of the informations of the HMM including states,         startprob and the mean and variance at each states.
%%     ~~Describe \code{x} here~~
  }
  \item{emp}{
  4-by-N matrix of log prob of observation and underlying prob given the state and parameters of the model:
  \deqn{\log P(o_i,p_i|q_i=k,\Theta)}
  }
  \item{L}{
  vector of the distance between neighboouring sites
  }
  \item{starting}{
  vector of starting positions of each chains
  }
  \item{ending}{
  vector of ending positions of each chains
  }
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
   A 4-by-T matrix of the logarithm of backward probability.
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function (x) 
{
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }% use one of  RShowDoc("KEYWORDS")
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
